> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkupapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Network Recommendations

> Retrieve LinkedIn network recommendations of people you may know, with optional pagination support

Get personalized LinkedIn connection recommendations including detailed information about each recommended profile. Supports both pagination and total results modes.

<Note>
  **Credit Usage:**

  * In total results mode: 1 credit per 10 results (or fraction thereof)
    * 1-10 results = 1 credit
    * 11-20 results = 2 credits
    * 300 results = 30 credits
  * In pagination mode: 1 credit per page requested
    * 1 page = 1 credit
    * pages 1-3 = 3 credits
</Note>

### Header Parameters

<ParamField header="x-api-key" type="string" required>
  Your API key
</ParamField>

### Body Parameters

<ParamField body="total_results" type="integer" default="10">
  Maximum number of recommendations to retrieve (used in total results mode)
</ParamField>

<ParamField body="start_page" type="integer">
  Starting page number for pagination (optional, enables pagination mode)
</ParamField>

<ParamField body="end_page" type="integer">
  Ending page number for pagination (optional, defaults to start\_page if not provided)
</ParamField>

<ParamField body="country" type="string" default="FR">
  Country code for proxy selection. Available: (US, UK, FR, DE, NL, IT, IL, CA, BR, ES, IN)
</ParamField>

<ParamField body="login_token" type="string" required>
  LinkedIn authentication cookie obtained from the login/verify process
</ParamField>

### Response

<ResponseField name="status" type="string">
  Request status (success/error)
</ResponseField>

<ResponseField name="data" type="object">
  <Expandable title="Properties">
    <ResponseField name="total_results" type="integer">
      Number of recommendations returned
    </ResponseField>

    <ResponseField name="recommendations" type="array">
      <Expandable title="Recommendation Object">
        <ResponseField name="name" type="string">
          Full name of the recommended person
        </ResponseField>

        <ResponseField name="subtitle" type="string">
          Professional headline or current position
        </ResponseField>

        <ResponseField name="profile_url" type="string">
          LinkedIn profile URL of the recommended person
        </ResponseField>

        <ResponseField name="insight" type="string">
          Recommendation context (e.g., mutual connections or reason for recommendation)
        </ResponseField>

        <ResponseField name="entity_urn" type="string">
          LinkedIn entity URN for the recommendation
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="pagination" type="object">
      Optional pagination information when using pagination mode
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "status": "success", 
    "data": {
      "total_results": 3,
      "recommendations": [
        {
          "name": "John Smith",
          "subtitle": "Student at Business School 🚀 | Intern at TechCorp 💻",
          "profile_url": "https://www.linkedin.com/in/john-smith-bizdev",
          "insight": "James and 24 other mutual connections",
          "entity_urn": "urn:li:fsd_discoveryEntityViewModel:(urn:li:fsd_profile:ACoAAETRgbEBse4dNJFD7gPNwB2DHqdHijuWMUI,PYMK)"
        },
        {
          "name": "Sarah Parker",
          "subtitle": "Content Marketing | +6.5k followers on X in 2 months | Content Strategy & Engagement",
          "profile_url": "https://www.linkedin.com/in/sarah-parker-539017285",
          "insight": "Emma and 19 other mutual connections",
          "entity_urn": "urn:li:fsd_discoveryEntityViewModel:(urn:li:fsd_profile:ACoAAEU8Uz0BBTKZehAEjjTUUP0iEXeDJ0ThzW4,PYMK)"
        },
        {
          "name": "Michael Johnson",
          "subtitle": "Helping entrepreneurs generate qualified leads by automating their marketing process with AI. (effortlessly)",
          "profile_url": "https://www.linkedin.com/in/michaeljohnson1",
          "insight": "David and 4 other mutual connections",
          "entity_urn": "urn:li:fsd_discoveryEntityViewModel:(urn:li:fsd_profile:ACoAACjveEcBSGN-I-TMI7NESPgssxZH8AW9LYY,PYMK)"
        }
      ],
      "pagination": {
        "current_page": 1,
        "total_pages": 5,
        "pages_fetched": 1
      }
    }
  }
  ```
</ResponseExample>

### Notes

* The API supports two modes of operation:
  * Total results mode: Specify `total_results` to get a specific number of recommendations
  * Pagination mode: Use `start_page` and `end_page` to retrieve results page by page (25 results per page)

* The `insight` field indicates either mutual connections or the recommendation reason

* The `entity_urn` is a unique identifier used by LinkedIn for the recommendation

* Results are sorted by relevance to your profile

* When using pagination mode, the response includes pagination information

* The number of returned recommendations may be less than requested if fewer recommendations are available
